requests:

  - start: 0x2298
    end: 0x229B
    mb_functioncode: 0x03
  - start: 0x3130
    end: 0x3157
    mb_functioncode: 0x03
    
parameters:
 - group: Solar
   items:
    - name: "PV1 Power"
      class: "power"
      state_class: "measurement"     
      uom: "W"
      scale: 1
      rule: 1
      registers: [0x3132]
      icon: 'mdi:solar-power'
      
    - name: "PV1 Voltage"
      class: "voltage"   
      state_class: "measurement"     
      uom: "V"
      scale: 0.1
      rule: 1
      registers: [0x3130]
      icon: 'mdi:solar-power' 

    - name: "PV1 Current"
      class: "current"
      state_class: "measurement"     
      uom: "A"
      scale: 0.1
      rule: 1
      registers: [0x3131]
      icon: 'mdi:solar-power'

    - name: "PV2 Power"
      class: "power"
      state_class: "measurement"     
      uom: "W"
      scale: 1
      rule: 1
      registers: [0x3135]
      icon: 'mdi:solar-power'
      
    - name: "PV2 Voltage"
      class: "voltage"   
      state_class: "measurement"     
      uom: "V"
      scale: 0.1
      rule: 1
      registers: [0x3133]
      icon: 'mdi:solar-power' 

    - name: "PV2 Current"
      class: "current"
      state_class: "measurement"     
      uom: "A"
      scale: 0.1
      rule: 1
      registers: [0x3134]
      icon: 'mdi:solar-power'
      
    - name: "PV3 Power"
      class: "power"
      state_class: "measurement"     
      uom: "W"
      scale: 1
      rule: 1
      registers: [0x3138]
      icon: 'mdi:solar-power'
      
    - name: "PV3 Voltage"
      class: "voltage"   
      state_class: "measurement"     
      uom: "V"
      scale: 0.1
      rule: 1
      registers: [0x3136]
      icon: 'mdi:solar-power' 

    - name: "PV3 Current"
      class: "current"
      state_class: "measurement"
      uom: "A"
      scale: 0.1
      rule: 1
      registers: [0x3137]
      icon: 'mdi:solar-power'
      
    - name: "PV4 Power"
      class: "power"
      state_class: "measurement"     
      uom: "W"
      scale: 1
      rule: 1
      registers: [0x313B]
      icon: 'mdi:solar-power'
      
    - name: "PV4 Voltage"
      class: "voltage"   
      state_class: "measurement"     
      uom: "V"
      scale: 0.1
      rule: 1
      registers: [0x3139]
      icon: 'mdi:solar-power' 

    - name: "PV4 Current"
      class: "current"
      state_class: "measurement"
      uom: "A"
      scale: 0.1
      rule: 1
      registers: [0x313A]
      icon: 'mdi:solar-power'
      
    - name: "Battery Voltage"
      class: "voltage"
      state_class: "measurement"
      uom: "V"
      scale: 0.01
      rule: 1
      registers: [0x2299]
      icon: 'mdi:battery'

    - name: "Battery Current"
      class: "current"
      state_class: "measurement"
      uom: "A"
      scale: 0.1
      rule: 2
      registers: [0x229A]
      icon: 'mdi:battery'     
      
    - name: "Daily Production"
      class: "energy"
      state_class: "measurement"
      uom: "kWh"
      scale: .001
      rule: 1
      registers: [0x3153]
      icon: 'mdi:solar-power'
      
    - name: "Daily Consumption"
      class: "energy"
      state_class: "total_increasing"     
      uom: "kWh"
      scale: .001
      rule: 1
      registers: [0x3157]
      icon: 'mdi:lightning-bolt-outline'

    - name: "Daily Bat Charging"
      class: "energy"
      state_class: "total_increasing"     
      uom: "kWh"
      scale: .001
      rule: 1
      registers: [0x316D]
      icon: 'mdi:battery'

    - name: "Daily Bat DisCharging"
      class: "energy"
      state_class: "total_increasing"     
      uom: "kWh"
      scale: .001
      rule: 1
      registers: [0x316F]
      icon: 'mdi:battery'